For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transfers

Transfers

get
/v1/transfers

Retrieve a list of transfers with optional filtering and pagination.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
afterstringOptional

When provided, specifies the last item returned in previous page, used to fetch the next page. Fetches the first page when omitted.

limitstring · integerOptional

When provided, specifies the number of items to return in the page. Uses default page size of 10 when omitted.

transferIdstring · uuidOptional

Filter by transfer ID

sourceAccountIdstring · uuidOptional

Filter by source account ID

sourceCustomerIdstring · uuidOptional

Filter by source customer ID

beneficiaryAccountIdstring · uuidOptional

Filter by destination account id

beneficiaryIdstring · uuidOptional

Filter by destination customer id

transferCurrencystringOptional

Filter by transfer currency

Example: USDC
externalReferenceIdstringOptional

Filter by client reference ID

Example: EXT12345
transactionStatusstring · enumOptional

Filter by status

Possible values:
requestedAtStartstring · date-timeOptional
requestedAtEndstring · date-timeOptional
Responses
200

Successful response

application/json
afterstring · nullableOptional

The token of the last item in the response

Example: 9fe51492-fc0f-483c-ab85-391e4a3a4335
totalCountstring · integerOptional

The total number of items in the entire filtered data set

Example: 1
get/v1/transfers
GET /api/v1/transfers HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "after": "9fe51492-fc0f-483c-ab85-391e4a3a4335",
  "totalCount": "1",
  "items": [
    {
      "transactionType": "WITHDRAWAL",
      "transactionStatus": "PROCESSING",
      "transferId": "a9d4b657-0b32-425d-b927-7ad5a4593bc4",
      "sourceAccountId": "a645bd39-41a7-4a13-8c0a-ff38571ddeda",
      "sourceCustomerId": "39b83120-a80f-4bd9-8469-7d5bcaa055af",
      "beneficiaryAccountId": "635b8c14-c6a9-4838-b9a1-bc7ddc29a086",
      "beneficiaryId": "bf22f3c9-c5f6-4815-a6a6-9b999612b713",
      "transferQuantity": "100.00",
      "transferCurrency": "USD",
      "transferReason": "text",
      "externalReferenceId": "text",
      "requestedAt": "2026-02-19T18:44:05Z",
      "completedAt": "2026-02-19T18:45:00Z"
    }
  ]
}

Get transfer

get
/v1/transfers/{transferId}

Retrieve a transfer by ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
transferIdstring · uuidRequired

The transfer ID

Example: faf8e68c-2cd5-43a6-b8e1-112535b7de00
Responses
200

Successful response

application/json
transactionTypestring · enumRequiredExample: WITHDRAWALPossible values:
transactionStatusstring · enumRequiredExample: PROCESSINGPossible values:
transferIdstring · uuidRequiredExample: a9d4b657-0b32-425d-b927-7ad5a4593bc4
sourceAccountIdstring · uuidRequiredExample: a645bd39-41a7-4a13-8c0a-ff38571ddeda
sourceCustomerIdstring · uuidRequiredExample: 39b83120-a80f-4bd9-8469-7d5bcaa055af
beneficiaryAccountIdstring · uuidRequiredExample: 635b8c14-c6a9-4838-b9a1-bc7ddc29a086
beneficiaryIdstring · uuidRequiredExample: bf22f3c9-c5f6-4815-a6a6-9b999612b713
transferQuantitystringRequiredExample: 100.00
transferCurrencystringRequiredExample: USD
transferReasonstring · max: 255 · nullableOptional
externalReferenceIdstring · max: 255 · nullableOptional

Client-provided reference string to be stored with the transfer record

requestedAtstring · date-timeRequiredExample: 2026-02-19T18:44:05Z
completedAtstring · date-time · nullableRequiredExample: 2026-02-19T18:45:00Z
get/v1/transfers/{transferId}
GET /api/v1/transfers/{transferId} HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "transactionType": "WITHDRAWAL",
  "transactionStatus": "PROCESSING",
  "transferId": "a9d4b657-0b32-425d-b927-7ad5a4593bc4",
  "sourceAccountId": "a645bd39-41a7-4a13-8c0a-ff38571ddeda",
  "sourceCustomerId": "39b83120-a80f-4bd9-8469-7d5bcaa055af",
  "beneficiaryAccountId": "635b8c14-c6a9-4838-b9a1-bc7ddc29a086",
  "beneficiaryId": "bf22f3c9-c5f6-4815-a6a6-9b999612b713",
  "transferQuantity": "100.00",
  "transferCurrency": "USD",
  "transferReason": "text",
  "externalReferenceId": "text",
  "requestedAt": "2026-02-19T18:44:05Z",
  "completedAt": "2026-02-19T18:45:00Z"
}

Create Transfer

post
/v1/transfers

Transfer funds between accounts.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-Request-IdstringOptional

A client-supplied unique identifier for this request, used for safely retrying and deduplicating operations. When the same X-Request-Id is sent with multiple identical requests within a defined time window, the server treats them as the same logical operation and will not perform the side effect more than once. Instead, it will return the original result associated with that identifier, if available. The client should generate a collision-resistant value (for example, a UUID) and reuse it only when retrying the same operation.

Body
sourceAccountIdstring · uuidRequiredExample: a645bd39-41a7-4a13-8c0a-ff38571ddeda
sourceCustomerIdstring · uuidRequiredExample: 39b83120-a80f-4bd9-8469-7d5bcaa055af
beneficiaryAccountIdstring · uuidRequiredExample: 635b8c14-c6a9-4838-b9a1-bc7ddc29a086
beneficiaryIdstring · uuidRequiredExample: bf22f3c9-c5f6-4815-a6a6-9b999612b713
transferQuantitystringRequiredExample: 100.00
transferCurrencystringRequiredExample: USD
transferReasonstring · max: 255 · nullableOptional
externalReferenceIdstring · max: 255 · nullableOptional

Client-provided reference string to be stored with the transfer record

Responses
200

Successful response

application/json
post/v1/transfers
POST /api/v1/transfers HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 339

{
  "sourceAccountId": "a645bd39-41a7-4a13-8c0a-ff38571ddeda",
  "sourceCustomerId": "39b83120-a80f-4bd9-8469-7d5bcaa055af",
  "beneficiaryAccountId": "635b8c14-c6a9-4838-b9a1-bc7ddc29a086",
  "beneficiaryId": "bf22f3c9-c5f6-4815-a6a6-9b999612b713",
  "transferQuantity": "100.00",
  "transferCurrency": "USD",
  "transferReason": "text",
  "externalReferenceId": "text"
}
{
  "transactionType": "WITHDRAWAL",
  "transactionStatus": "PROCESSING",
  "transferId": "a9d4b657-0b32-425d-b927-7ad5a4593bc4",
  "sourceAccountId": "a645bd39-41a7-4a13-8c0a-ff38571ddeda",
  "sourceCustomerId": "39b83120-a80f-4bd9-8469-7d5bcaa055af",
  "beneficiaryAccountId": "635b8c14-c6a9-4838-b9a1-bc7ddc29a086",
  "beneficiaryId": "bf22f3c9-c5f6-4815-a6a6-9b999612b713",
  "transferQuantity": "100.00",
  "transferCurrency": "USD",
  "transferReason": "text",
  "externalReferenceId": "text",
  "requestedAt": "2026-02-19T18:44:05Z",
  "completedAt": "2026-02-19T18:45:00Z"
}

Last updated